Subject: bug#23107: [PATCH 1/2] test-framework-sh: port to NetBSD 7.0

From: Paul Eggert <[email-masked]>
Date: Fri, 25 Mar 2016 13:01:06 -0700

On 03/25/2016 08:16 AM, Jim Meyering wrote:
> I know that mktemp's -t is not portable, but the code in
> init.sh was supposed to work around that. Did you see
> some place where that work-around failed?

Ah, sorry, I misinterpreted the debugging output. I saw a 'fail=1' and 
thought, "Oh, the script is failing". But it was working correctly 
(albeit confusingly). I reverted that part of the change to 
tests/init.sh in gnulib and installed further changes that I hope make 
the test output clearer.  Revised proposed patches to gzip attached.